<?php 
if (!$_REQUEST['record'])
    die('Brak rekordu');

$invoice = new EcmInvoiceOut();
$invoice->retrieve($_REQUEST['record']);


if ($invoice->parent_id == '682d24c0-0f28-83c5-a840-64d9bbb03632' // Carrefour
    || $invoice->parent_id == '226a168c-2fef-b92f-0918-6200de91bb31' // Auchan
) {
    require_once('modules/EcmInvoiceOuts/edi/createInvoiceXML.php');
    $xml = new invoiceEdiXML($_REQUEST['record']);
    $xml->getXML();
    echo 'Plik został wygenerowany sprawdź poprawność wysyłki.';
} else {
    echo "Odbiorca nie wspierany.";
}
